module Lita
  module Handlers
    class Deuce < Handler
      # insert handler code here
      route(
        /^deuce\s+(\d+)$/i,
        :respond_with_deuce,
        command: true,
        help: { 'deuce N' => 'prints N + N'}
      )

      Lita.register_handler(self)

      def double_number(n)
        n + n
      end

      def respond_with_deuce(response)
        n = response.match_data.captures.first
        n = Integer(n)

        response.reply "#{n} + #{n} = #{double_number(n)}"
      end
    end
  end
end
